<?php // $Id: access_rights.php,v 1.20 2004/10/11 10:42:42 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files:
 * -
 *
 * Parameter:
 * -
 *
 */


// Benutzerberechtigungen
// [ fuseaction ][[ rechte ][ fuseactionbezeichnung ], [Insert-Update-Delete-DB-Zugriff]]
// Insert-Update-Delete-DB-Zugriff ::= {i{0-4},u{0-4},d{0-4}|}

$apx_fa_groups = array(
    'login' =>          array( 5, _( 'Log in' ),                  '' ),
    'logout' =>         array( 5, _( 'Log out' ),                  '' ),
    'logostart' =>      array( 4, _( 'Show mg.applanix homepage' ),      '' ),
    'adminmenu' =>      array( 3, _( 'mg.applanix - configuration' ), '' ),

    'plan' =>           array( 5, _( 'Show reservation table' ),                'sb3' ),
    'searchfree' =>     array( 3, _( 'Search for vacant rooms' ),              '' ),
    'credits' =>        array( 3, _( 'Show credits/information' ),                     '' ),
    'help' =>           array( 3, _( 'Consult applanix manual' ),                '' ),

    'roomdb' =>         array( 3, _( 'Overall view of rooms' ),               '' ),
    'room' =>           array( 3, _( 'Form: insert|edit|delete roomdata' ),     'i1,u1,d1' ),

    'objectdb' =>       array( 3, _( 'Rental property management' ),                   '' ),
    'object' =>         array( 3, _( 'Form: insert|edit|delete rental object data' ),   'i1,u1,d1' ),

    'seasondb' =>       array( 3, _( 'Season management' ),            'm1' ),
    'season' =>         array( 3, _( 'Form: insert|edit|delete season data' ),  'i1,u1,d1' ),

    'datedb' =>         array( 3, _( 'Date management' ), 'm2' ),
    'date' =>           array( 3, _( 'Form: insert|edit|delete dates' ),   'i2,u2,d2' ),

    'datereminder_off' => array( 3, _( 'Confirm date reminders' ), '' ),

    'countrydb' =>      array( 3, _( 'Country management' ), '' ),
    'country' =>        array( 1, _( 'Form: insert|edit|delete country data' ),   'i1,u1,d1' ),

    'bookingdb' =>      array( 3, _( 'Directory of bookings' ), 'm2' ),
    'booking' =>        array( 3, _( 'Form: insert|edit|delete booking data' ), 'i2,u2,d2' ),

    'bk_accountdb' =>   array( 1, _( 'Accounting management' ), '' ),
    'bk_account' =>     array( 2, _( 'Form: insert|edit|delete account data' ), 'i1,u1,d1' ),
    'bk_entrydb' =>     array( 2, _( 'Account entry management' ), '' ),
    'bk_entry' =>       array( 2, _( 'Form: insert|edit|delete entry data' ), 'i2,u2,d1' ),

    'stats' =>          array( 3, _( 'Form: generate rental statistics report' ), '' ),

    'bookingexport' =>  array( 3, _( 'Form: export booking data' ), '' ),
    'bookingimport' =>  array( 3, _( 'Form: import booking data' ), '' ),
    'bookingexport_do' => array( 2, _( 'Export booking data' ), '' ),
    'bookingimport_do' => array( 2, _( 'Import booking data' ), '' ),

    'customerdb' =>     array( 3, _( 'Customer file' ), 'm2' ),
    'customer' =>       array( 3, _( 'Form: insert|edit|delete customer data' ),   'i2,u2,d2' ),

    'editordb' =>       array( 1, _( 'User management' ), '' ),
    'editor' =>         array( 1, _( 'Form: insert|edit|delete user data' ), 'i0,u0,d0' ),

    'nextcustomers' =>  array( 3, _( 'Customers arriving soon' ), '' ),
    'customerpr' =>     array( 3, _( 'Form: print address labels' ), '' ),
    'labelprint' =>     array( 2, _( 'Print address labels' ), '' ),

    'billpr' =>         array( 3, _( 'Print bills (general)' ), '' ),
    'changeperiod' =>   array( 3, _( 'Change period of occupancy table' ), '' ),
    'search' =>         array( 3, _( 'Search for customer' ), '' ),

    'syscheck' =>       array( 1, _( 'Run systemcheck ...' ), '' ),
    'config' =>         array( 1, _( 'mg.applanix - configuration' ), '' ),
    'savecfg' =>        array( 0, _( 'Save configuration data' ), '' ),
    'getcfg' =>         array( 1, _( 'Get configuration data' ), '' ),

    'create_cusmail' => array( 3, _( 'Compose e-mail' ), '' ),
    'send_cusmail' =>   array( 2, _( 'Send e-mail' ), '' ),
    'exec_ext_mailer' => array( 2, _( 'Execute external mail client' ), '' ),

    'guestreg' =>       array( 4, _( 'Form: report guest/s' ), '' ),
    'guestreg_save' =>  array( 4, _( 'Report guest/s' ), '' ),
    'inquiry'        => array( 5, _( 'Compose inquiry' ), 'i5,u0,d0' ),

    'emaillist' =>      array( 3, _( 'Show overall view of e-mail addresses' ), '' ),
    'dbbackup' =>       array( 2, _( 'Run applanix database backup (only with ODBC)' ), '' )
);

