<?php // $Id: dsp_booking_export_import.php,v 1.3 2004/10/11 10:42:43 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * URL-Parameter: $_GET[ 'booking_id' ]
 *                $_GET[ 'fn' ]
 *                $_GET[ 'ln' ]
 */


// Parameter ueberpruefen
apxIsGet( 'backaction', 'sBackaction', 'bookingdb' );

if( $apx_a == 'bookingexport' && isset( $_GET[ 'booking_id' ] ) ) {
    $url_booking_id = $_GET[ 'booking_id' ];
    $url_firstname  = urldecode( $_GET[ 'fn' ] );
    $url_lastname   = urldecode( $_GET[ 'ln' ] );

    $sTableHeader   = _( 'Export booking' );
    $sButtonText    = _( 'Start export ...' );
    $sText1         = _( 'Outputfile (without suffix)' );
    $newaction      = 'bookingexport_do&booking_id='.$url_booking_id;
    $sPrefix        = _( '&lt;Prefix&gt;_' );
    $sSuffix        = _( '.&lt;Suffix&gt;' );
}
else if( $apx_a == 'bookingimport' ) {
    $sTableHeader   = _( 'Import booking' );
    $sButtonText    = _( 'Start import ...' );
    $sText1         = _( 'Inputfile' );
    $newaction      = 'bookingimport_do';
    $sPrefix        = '';
    $sSuffix        = '';
}
else
    trigger_error( $apx_errors[8], E_USER_WARNING );


?>

<form method="POST" name="entry"
      action="<?php echo $apx_script ?>?apx_a=<?php echo $newaction ?>&backaction=<?php echo $sBackaction ?>">

<table class="apx_form">
<tr>
    <td class="apx_headerbg">
        <span class="mgsubtitle"><?php echo $sTableHeader ?></span>
    </td>
    <td class="apx_controlbg">
        <a href="<?php echo $apx_script ?>?apx_a=<?php echo $sBackaction ?>">
        <img onMouseover="return dispStatus('<?php echo _( "Back" ) ?>')"
        onMouseout="return dispStatus('')" alt="<?php echo _( "Back" ) ?>"
        src="<?php echo $apx_imgpath ?>sym_left.gif"></a>
    </td>
</tr>

<?php if( $apx_a == 'bookingexport' ): ?>
<tr>
<td class="apx_labelbg">
    <?php echo _( "Booking information:" ) ?>
</td>
<td class="apx_mainbg">
  <?php
  printf( _( "Export booking from <strong>%1\$s, %2\$s</strong> to:" ),
          $url_lastname, $url_firstname )
  ?>
</td>
</tr>
<tr>
<td class="apx_labelbg">
    <?php echo _( "Output format:" ) ?>
</td>
<td class="apx_mainbg">
  <select name="exportformat" size="1">
<?php
for( $i = 0; $i < count( $apx_exportformats ); $i++ )
    echo '<option value="'.$i.'">'.$apx_exportformats[ $i ][ 1 ]."</option>\n";
?>
  </select>
</td>
</tr>
<?php endif; ?>

<tr>
<td class="apx_labelbg">
    <?php echo $sText1 ?>:
</td>
<td class="apx_mainbg">
  <strong><?php echo $apx_outputpath.$sPrefix ?>
  <input type="text" size="30" name="exportfilename"
  value="<?php echo str_replace(' ', '_', trim($url_lastname.' '.$url_firstname)) ?> ">
  <?php echo $sSuffix ?></strong>
</td>
</tr>

<?php if( $apx_a == 'bookingexport' ): ?>
<tr>
<td class="apx_labelbg">
    <?php echo _( "Description:" ) ?>
</td>
<td class="apx_mainbg">
    <?php echo _( "Prefix and suffix will be added automatically and depend on the output format." ) ?>
</td>
</tr>
<?php endif; ?>

<tr>
<td class="apx_labelbg">&nbsp;</td>
<td class="apx_controlbg">
  <input type="submit" size="50" value="<?php echo $sButtonText ?>">
</td>
</tr>

</table>
</form>

