<?php // $Id: dsp_form_booking.php,v 1.13 2004/10/11 10:42:45 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Assumed context:
 * - app_globals.php  
 * - act_lib.php 
 * 
 * Required files: 
 * - act_structs.php
 * - qry/qry_max_bill_lfnr.php
 * - qry/qry_rooms.php
 * - qry/qry_countries.php
 * - dsp/dsp_form.php 
 *
 * Parameters:
 * - url_room_id
 */

/*
 * Wenn keine Customer_id oder booking_id per URL angegeben, dann eine Auswahl aller gespeicherten
 * Gaeste anzeigen
 */


// Parameter ueberpruefen
apxIsGet( 'backaction', 'sBackaction', 'bookingdb' );
$bIDexists = apxIsGet( 'customer_id', 'url_cus_id' ) ||
             apxIsGet( 'id', 'url_data_id' );

if( apxIsGet( 'rid', 'url_room_id' ) ) {
    $s_room_id = "<input type=\"hidden\" name=\"rid\" value=\"$url_room_id\" />\n";
}
else
    $s_room_id = '';

if( apxIsGet( 'ds', 'url_ds' ) && apxIsGet( 'de', 'url_de' ) ) {
    $s_date_info = "<input type=\"hidden\" name=\"ds\" value=\"$url_ds\" />\n".
                   "<input type=\"hidden\" name=\"de\" value=\"$url_de\" />\n";
}
else {
    $url_ds = time();
    $url_de = time() + 86400;
    $s_date_info = '';
}

apxIsGet( 'proc', 'b_proc' );

// wenn keine Kunden-ID uebergeben wurde
if( !$bIDexists && !$b_proc ) {
    require( $apx_root_path.'qry/qry_customers.php' );

    echo( '
<form method="GET" name="customer" action="'.$apx_script.'">'.
$s_room_id.
$s_date_info.
'<input type="hidden" name="apx_a" value="booking" />
<input type="hidden" name="backaction" value="'.$sBackaction.'" />

<table class="apx_form">
<tr><td class="apx_headerbg"><span class="mgsubtitle">'._( "Choose customer" ).'
</span></td><td class="apx_controlbg">
<a href="'.$apx_script.'?apx_a=customer&do=i&backaction=booking">
    <img onMouseover="return dispStatus(\''._( "Add new customer" ).'\')"
        onMouseout="return dispStatus(\'\')" title="'._( "Add new customer" ).'"
        src="'.$apx_imgpath.'sym_new.gif"  align="top" /></a>&nbsp;&nbsp;&nbsp;
<a href="'.$apx_script.'?apx_a='.$sBackaction.'">
  <img onMouseover="return dispStatus(\''._( "Back" ).'\')"
        onMouseout="return dispStatus(\'\')" title="'._( "Back" ).'"
        src="'.$apx_imgpath.'sym_left.gif" /></a></td>
</tr>

<tr>
<td class="apx_labelbg">'._( "Customer file:" ).' </td>
<td class="apx_mainbg">
<select size="20" name="customer_id">

  ');

if( is_object( $qListData ) ) {
    foreach( $qListData->data as $rowCustomers ) {
        $qr_customer_id = $rowCustomers[ 'customer_id' ];
        $qr_lastname = $rowCustomers[ 'lastname' ];
        $qr_firstname = $rowCustomers[ 'firstname' ];
        $qr_entrytype = $rowCustomers[ 'entrytype' ];

        // nur wenn Gaesteeintrag (entrytype = 1)
        if( $qr_entrytype == 1 ) {
            echo( "<option value=\"$qr_customer_id\"" );
            echo( ">$qr_lastname,&nbsp;$qr_firstname&nbsp;&nbsp;</option>\n" );
        }
    }
}

echo ('
</select>
<p>'._( " <STRONG>Hint:</STRONG> Please, choose one customer. The items are ordered by the customers lastnames." ).'
</p>
</td>
</tr>

<tr>
<td class="apx_labelbg">&nbsp;</td>
<td class="apx_controlbg">
    <input type="submit" value="'._( "Create new booking for chosen customer" ).'" name="submit">
</td>
</tr>

</table>
</div>
</form>

  ');

}
else {


require_once( $apx_root_path.'act_structs.php' );
require( $apx_root_path.'qry/qry_max_bill_lfnr.php' );

// Zusaetzliche Abfragen aus anderen Tabellen:
// 2. Alle Raumdaten holen
$b_bookingform_tmp = $b_bookingform;
$b_bookingform = true; // filter out deactivated rooms
require( $apx_root_path.'qry/qry_rooms.php' );
$b_bookingform = $b_bookingform_tmp;

// Struktur fuellen
$oForm = new APXDataForm(
    'booking', 'bookingdb', 4, 'bookings', 'booking',
    true, '', true, '_ctl', 1000
    );

$oForm->initMessages( 'i', _( 'New booking' ) );
$oForm->initMessages( 'u', _( 'Update booking' ) );
$oForm->initMessages( 'd', _( 'Delete booking' ) );

$oForm->addField( 'customer_id',   'hidden',   '',       'int',   $url_cus_id );
$oForm->addField( 'max_bill_lfnr', 'label',    'imm',    'int',   $iMaxBillLfnr + 1, 0,  0, 'iud' );
$oForm->addField( 'bill_lfnr',     'text',     'line',   'int',   $iMaxBillLfnr + 1, 6, 12, '', true );
$oForm->addField( 'bill_date',     'date',     '',       'date',  $url_de, 10, 12, '' );
$oForm->addField( 'room_id',       'select',   'db',     'int',    $url_room_id,  1,   0,
                  'qRoomData;room_id;room;'._( "No room specified!" ), true );
$oForm->addField( 'customername',  'label',    'script', 'str',   'dsp_form_booking_cusname', 0,   0, 'iud' );
$oForm->addField( 'showit',        'checkbox', '',       'int',   1,   0,   0,  1  );
$oForm->addField( 'is_inquiry',    'checkbox', '',       'int',   0,   0,   0,  1  );
$oForm->addField( 'confirmed',     'checkbox', '',       'int',   0,   0,   0,  1  );
$oForm->addField( 'payed',         'checkbox', '',       'int',   0,   0,   0,  1  );
$oForm->addField( 'checkedin',     'select',   'array',  'int',   0,   1,   0,  'apx_checktypes;n' );
$oForm->addField( 'date_begin',    'date',     '',       'date',  $url_ds,  10,  12,  '', true );
$oForm->addField( 'date_end',      'date',     '',       'date',  $url_de,  10,  12,  '', true );
$oForm->addField( 'priceperday',   'text',     'calc',   'int',   0,  10,  15, 'c', true );
$oForm->addField( 'persons',       'select',   'count',  'int',   0,   1,   0, '0;'.$apx_persons_max, true );
$oForm->addField( 'daystopay',     'select',   'count',  'int',   0,   1,   0, '0;'.$apx_daystopay_max, true );
$oForm->addField( 'children',      'select',   'count',  'int',   0,   1,   0, '0;'.$apx_children_max );
$oForm->addField( 'breadcosts',    'text',     'calc',   'int',   0,  10,  15, 'c'  );
$oForm->addField( 'phonecosts',    'text',     'calc',   'int',   0,  10,  15, 'c'  );
$oForm->addField( 'cleansingcosts','text',     'calc',   'int',   0,  10,  15, 'c'  );
$oForm->addField( 'prepayment',    'text',     'calc',   'int',   0,  10,  15, 'c'  );
$oForm->addField( 'misccosts',     'text',     'calc',   'int',   0,  10,  15, 'c'  );
$oForm->addField( 'timeofarrival', 'select',   'array',  'int',   0,   1,   0, 'apx_times_of_arrival;n' );
$oForm->addField( 'notice',        'text',     'area',   'str',  '',  4,   80  );
$oForm->addField( 'booking_type',  'radio',    '',       'int',   0,   1,   0, _( '0/Family|1/Party' ) );
$oForm->addField( 'meals',         'select',   'array',  'int',   0,   1,   0, 'apx_meals;n' );
$oForm->addField( 'guestcard_nr',  'text',     'line',   'str',  '',  15,  20  );
$oForm->addField( 'wife_firstname','text',     'line',   'str',  '',  20,  30  );
$oForm->addField( 'wife_birthdate','date',     'del',    'noUTS', '1950-01-01',  10,  12,  '' );
$oForm->addField( 'children_firstnames','text',     'line',   'str',  '',  50,  150  );
$oForm->addField( 'children_birthdates','text',     'line',   'str',  '',  50,  150  );
// $oForm->addField( 'genbills',      'label',    'script', 'str',  'dsp_form_booking_gen',   0,   0, 'ud' );
$oForm->addField( 'reported',      'label',    'script', 'str',  'dsp_form_booking_report',   0,   0, 'ud' );
$oForm->addField( 'periodlength',  'label',    'script', 'int',  'dsp_form_booking_period',   0,   0, 'ud' );
$oForm->addField( 'inetaccess',    'text',     'line',   'str',  $apx_user_inetaccess,  15,  100 );

// Rechnungsadresse
$oForm->addField( 'ba_addressee',     'text',     'line',   'str',  '',  25,  100	 );
$oForm->addField( 'ba_street',        'text',     'line',   'str',  '',  20,  50   );
$oForm->addField( 'ba_country_id',       'select',   'db',     'int',   2,   1,   0,
                  'qCountries;country_id;country;'._( 'No country specified!' ) );
$oForm->addField( 'ba_zip',          'text',     'line',   'str',  '',  10,  15  );
$oForm->addField( 'ba_place',        'text',     'line',   'str',  '',  20,  50  );
$oForm->addField( 'ba_usebilladdress', 'checkbox', '',     'int',   0,   0,   0,  1  );


$oForm->setJavascript( '
    var test1, test2;
    test1 = assertTrue( date_begin.value, date_end.value, \'L\', \'apxdatestr\',
                        \''._( "Dates invalid! Arrival and departure have to differ at least one day." ).'\'
            );

    test2 = notice.value.indexOf(\'\\\'\') == -1 &&
            notice.value.indexOf(\'\\n\') == -1 &&
            notice.value.indexOf(\'"\') == -1;

    if ( !test2 )
        window.alert( \''._( "Some characters in the field \"Notice\" are not accepted!" ).'\' );

    return test1 && test2;
' );


// Zusaetzliche Abfragen aus anderen Tabellen:
// Laenderdaten holen
require( $apx_root_path.'qry/qry_countries.php' );

?>

<table class="apx_layout">
<tr>
<td style="vertical-align:top;">
<?php require( $apx_root_path.'dsp/dsp_form.php' ); ?>
</td>
<td style="vertical-align:top;">
<?php 
if( $s_subaction != "d" )
	require( $apx_root_path.'dsp/dsp_form_booking_gen.php' ); 
?>
</td>
</tr>
</table>

<?php
// Einige Fehlermeldungen

if( $s_subaction != 'd' ) {
    // Spezielle Raumdaten holen
    $url_room_id = $qr_room_id;
    require( $apx_root_path.'qry/qry_form_room.php' );

    if( $qr_persons > $qRoomData->data[ 0 ][ 'capacity' ] )
        trigger_error( sprintf( _( "The booked room is overcrowded! (max. %d Persons)" ),
                       $qRoomData->data[ 0 ][ 'capacity' ] ), E_USER_WARNING );

    if( $qr_children > $qr_persons )
        trigger_error( _( "The number of children is greater than the number of persons to this booking!" ),
                       E_USER_WARNING );
    }
}

?>
