<?php // $Id: qry_roomdata.php,v 1.5 2004/10/11 10:42:47 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Parameter: $bShowDummy = true/false
 *            $_GET[ 'planroom_id' ]
 *            $_GET[ 'planobj_id' ]
 */

// Exklusive Verwendung dieser beiden Optionen!!!
if( apxIsGet( 'planobj_id', 's_planobj_id', '0' ) )
    $sFilter = 'a1.object_id = '.$s_planobj_id;

if( apxIsGet( 'planroom_id', 's_planroom_id', '0' ) )
    $sFilter = 'a1.room_id = '.$s_planroom_id;

if ( !isset( $bShowDummy ) )
  $bShowDummy = true;

$qRoomCount =
$apx_dbc->query( "
         SELECT COUNT( a1.room_id ) AS roomcount,
                SUM( ABS( a1.showit ) ) AS roomcount_show
         FROM ".$apx_dbtableprefix."rooms AS a1 ".
         ( trim( $sFilter ) != '' ? 'WHERE '.$sFilter : '' )
          );

if( trim( $sFilter ) != '' )
    $sFilter = 'AND '.$sFilter;

if( $bShowDummy ) {
    $qRoomData =
    $apx_dbc->query( "
            SELECT a1.roomnumber, a1.room_id, a1.name AS roomname, a1.capacity,
                   ao.name AS objname, ao.objnr, ao.object_id
            FROM ".$apx_dbtableprefix."rooms AS a1
            LEFT JOIN ".$apx_dbtableprefix."objects AS ao
            ON a1.object_id = ao.object_id
            WHERE ( ABS( a1.showit ) = 1 AND ABS( ao.showit ) = 1 ) OR a1.room_id = 0
            $sFilter
            ORDER BY a1.roomnumber, a1.name, a1.room_id
            " );
}
else {
    $qRoomData =
    $apx_dbc->query( "
            SELECT a1.roomnumber, a1.room_id, a1.name AS roomname, a1.capacity,
                   ao.name AS objname, ao.objnr, ao.object_id, a1.showit as sroom, ao.showit as sobj
            FROM ".$apx_dbtableprefix."rooms AS a1
            LEFT JOIN ".$apx_dbtableprefix."objects AS ao
            ON a1.object_id = ao.object_id
            WHERE ( ABS( a1.showit ) = 1 AND ABS( ao.showit ) = 1 ) AND a1.room_id <> 0
            $sFilter
            ORDER BY ao.objnr, a1.roomnumber, a1.name, a1.room_id
            " );
}

?>

