<?php // $Id: dsp_form_mail.php,v 1.17 2004/10/11 10:42:45 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * URL Parameter
 * customer_id - Kundennummer
 * allusers - True, False fuer Serienmails ohne Datenbankabfrage
 * mailaddress - fuer Mails ohne Datenbankabfrage an
 * backaction - Ruecksprungaction
 */

// Parameter ueberpruefen
apxIsGet( 'backaction', 'sBackaction', 'customerdb' );

$bNoAdresses = false;
$bAllUsers = false;

$newaction = "send_cusmail";
$sButtontext = _( 'Send e-mail' );
$sHeadertext = _( 'Compose e-mail' );


if ( isset( $_GET[ 'mailaddress' ] ) ) {
    $url_cus_id = 0;
    $qr_firstname = $qr_lastname = $qr_title = $qr_sex = $qr_email = '';
    $qr_email = $_GET[ 'mailaddress' ];
}
else if ( isset( $_GET[ 'allusers' ] ) ) {
    $bAllUsers = true;
    $url_cus_id = 0;
    $qr_firstname = $qr_lastname = $qr_title = $qr_sex = $qr_email = '';

    if ( !count($HTTP_POST_VARS) ) {
        trigger_error( $apx_errors[ 5 ].' <a href="javascript:history.back()">Zurueck</a>',
                       E_USER_WARNING );
        $bNoAdresses = true;
    }

    reset($HTTP_POST_VARS);
    $counter = 0;
    while(list($key, $email) = each($HTTP_POST_VARS)) {
        if ( substr( $key, 0, 3 ) == 'cus' )
            $qr_email .= ($counter++ ? ', ' : '').$email;
    }

    $sButtontext = _( 'Send serial e-mail' );
    $sHeadertext = _( 'Compose serial e-mail' );
}
else {
    $bAllUsers = false;
    $url_cus_id = $_GET[ 'customer_id' ];
    require( $apx_root_path.'qry/qry_form_customer.php' );

    $qr_firstname = $qCusData->data[ 0 ][ "firstname" ];
    $qr_lastname = $qCusData->data[ 0 ][ "lastname" ];
    $qr_title = $qCusData->data[ 0 ][ "title" ];
    $qr_sex = $qCusData->data[ 0 ][ "sex" ];
    $qr_email = $qCusData->data[ 0 ][ "email" ];
}

?>

<form method="POST" name="cusmail"
    action="<?php echo $apx_script ?>?apx_a=<?php echo $newaction ?>&backaction=<?php echo $sBackaction ?>">

<input type="hidden" name="mailaddress" value="<?php echo $qr_email ?>">

<table class="apx_form">
<tr><td class="apx_headerbg"><span class="mgsubtitle"><?php echo $sHeadertext ?>
</span></td><td class="apx_controlbg">

<?php if ( !$bAllUsers ): ?>
<a href="<?php echo $apx_script ?>?apx_a=customer&do=u&id=<?php echo $url_cus_id ?>&backaction=<?php echo $sBackaction ?>">
<img alt="<?php echo _( "Show customer entry" ) ?>" src="<?php echo $apx_imgpath ?>sym_customer.gif" /></a>&nbsp;
<?php endif; ?>

<a href="<?php echo $apx_script ?>?apx_a=<?php echo $sBackaction ?>">
  <img alt="<?php echo _( "Back" ) ?>" src="<?php echo $apx_imgpath ?>sym_left.gif"></a></td>
</tr>

<tr>
<td class="apx_labelbg"><?php echo _( "E-mail to" ) ?>:</td>
<td class="apx_mainbg">
<span class="mgsubtitle">
<?php
    if( $bAllUsers ) {
        echo _( "(selected items)" ).'<br />'.$qr_email;
    }
    else {
        echo ( $qr_sex ? $apx_sex[ $qr_sex ] : '' ).' '.$qr_title.' '.
        $qr_firstname.' '.$qr_lastname.' &lt;'.$qr_email.'&gt;';
    }
?>
</span></td>
</tr>

<tr>
<td class="apx_labelbg"><?php echo _( "Subject" ) ?>: </td>
<td class="apx_mainbg">
<input type="text" name="mailsubject"
       value="<?php echo _( "(( Insert subject here ))" ) ?>"
       maxlength="200" size="80" />
</td>
</tr>

<tr>
<td class="apx_labelbg"><?php echo _( "Text" ) ?>:</td>
<td class="apx_mainbg">
<textarea name="mailtext" rows="20" cols="85">
<?php
if( $bAllUsers )
    echo _( "(( Insert opening here )) " );
else {
    if ( $qr_sex == 2 || $qr_sex == 3 || $qr_sex == 7 || $qr_sex == 4 || $qr_sex == 9 )
        echo _( "Dear (f)" ).' '.$apx_sex[ $qr_sex ];
    elseif ( $qr_sex == 1 || $qr_sex == 5 || $qr_sex == 8 )
        echo _( "Dear (m)" ).' '.$apx_sex[ $qr_sex ];
    else
        echo _( "(( Insert opening here )) " );

    echo ' '.$qr_title.' '.$qr_lastname."!\n\n\n";
}


echo _( "(( Insert text here ))\n\n\n" );

if( $apx_user_stdmailsig ) {
    echo $apx_stdmailsig_template;
}
else {
    echo ( trim( $apx_user_mailsig ) ? $apx_user_mailsig : _( '(( Insert closing here ))' ) );
}
?>
</textarea>
</td>
</tr>

<tr>
<td class="apx_labelbg">&nbsp;</td>
<td class="apx_controlbg">
    <?php echo ( $bNoAdresses ? '' : '<input type="submit" value="'.$sButtontext.'" name="submit">' ) ?>
    <input type="reset" value="<?php echo _( "Reset" ) ?>" name="reset">
    <a href="javascript:empty_formfields( document.cusmail )">
    <img alt="<?php echo _( "Empty all formfields" ) ?>"
         src="<?php echo $apx_imgpath ?>sym_clearfields.gif"
         align="top" /></a>
</td>
</tr>

<tr>
<td class="apx_labelbg"><?php echo _( "Remark" ) ?>:</td>
<td class="apx_mainbg">
    <?php echo _( "Backup copies are made from the sent e-mails. Serial e-mails do not make use of the BCC-technique. So each recipient gets a separately generated e-mail with his address in the to-field of the mail header. This process avoids the 'undisclosed recipients'-phrase with all the e-mails." ) ?>
</td>
</tr>
</table>
</form>




